Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class ContractTariffOption.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.tariff.option.common.bean.ContractTariffOption.Builder

Enclosing class:
  `ContractTariffOption`

public static class ContractTariffOption.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractTariffOption`
  `build()`
  `ContractTariffOption.Builder`
  `setActivatedMode(int activatedMode)`
  `ContractTariffOption.Builder`
  `setActivatedTime(Date activatedTime)`
  `ContractTariffOption.Builder`
  `setChargeId(int chargeId)`
  `ContractTariffOption.Builder`
  `setContractId(int contractId)`
  `ContractTariffOption.Builder`
  `setDeactivatedTime(Date deactivatedTime)`
  `ContractTariffOption.Builder`
  `setId(int id)`
  `ContractTariffOption.Builder`
  `setOptionComment(String optionComment)`
  `ContractTariffOption.Builder`
  `setOptionId(int optionId)`
  `ContractTariffOption.Builder`
  `setOptionTitle(String optionTitle)`
  `ContractTariffOption.Builder`
  `setSum(BigDecimal sum)`
  `ContractTariffOption.Builder`
  `setTimeFrom(Date timeFrom)`
  `ContractTariffOption.Builder`
  `setTimeTo(Date timeTo)`
  `ContractTariffOption.Builder`
  `setUserId(int userId)`
  `ContractTariffOption.Builder`
  `setUserTitle(String userTitle)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ContractTariffOption.Builder setId(int id)

  - ### setActivatedMode

    public ContractTariffOption.Builder setActivatedMode(int activatedMode)

  - ### setActivatedTime

    public ContractTariffOption.Builder setActivatedTime(Date activatedTime)

  - ### setChargeId

    public ContractTariffOption.Builder setChargeId(int chargeId)

  - ### setContractId

    public ContractTariffOption.Builder setContractId(int contractId)

  - ### setDeactivatedTime

    public ContractTariffOption.Builder setDeactivatedTime(Date deactivatedTime)

  - ### setOptionComment

    public ContractTariffOption.Builder setOptionComment(String optionComment)

  - ### setOptionId

    public ContractTariffOption.Builder setOptionId(int optionId)

  - ### setOptionTitle

    public ContractTariffOption.Builder setOptionTitle(String optionTitle)

  - ### setSum

    public ContractTariffOption.Builder setSum(BigDecimal sum)

  - ### setTimeFrom

    public ContractTariffOption.Builder setTimeFrom(Date timeFrom)

  - ### setTimeTo

    public ContractTariffOption.Builder setTimeTo(Date timeTo)

  - ### setUserId

    public ContractTariffOption.Builder setUserId(int userId)

  - ### setUserTitle

    public ContractTariffOption.Builder setUserTitle(String userTitle)

  - ### build

    public ContractTariffOption build()